# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "c3p0_common"
version = "0.72.5"
authors = ["Francesco Cina <ufoscout@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A good friend for r2d2"
homepage = "https://github.com/ufoscout/c3p0"
readme = "README.md"
keywords = [
    "mysql",
    "postgres",
    "pg",
    "sqlite",
    "json",
]
license = "MIT"
repository = "https://github.com/ufoscout/c3p0"
resolver = "2"

[features]
default = []
migrate = [
    "include_dir",
    "md-5",
    "same-file",
    "walkdir",
]

[lib]
name = "c3p0_common"
path = "src/lib.rs"

[dependencies.include_dir]
version = "0.7"
optional = true
default-features = false

[dependencies.log]
version = "0.4"

[dependencies.md-5]
version = "0.10"
optional = true
default-features = false

[dependencies.same-file]
version = "1"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "2.0"

[dependencies.walkdir]
version = "2.3"
optional = true

[dev-dependencies.static_assertions]
version = "1"
